=== debian/changelog ===
erlang-cl (1.2.1-1) unstable; urgency=low

  * Initial release (closes: #726635).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 17 Oct 2013 22:44:17 +0400
