=== debian/control ===
Source: erlang-cl
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Section: libs
Priority: optional
Standards-Version: 3.9.4
Homepage: https://github.com/tonyrog/cl
Build-Depends: debhelper (>= 9.0.0), erlang-dev, erlang-edoc, dh-rebar, ocl-icd-opencl-dev

Package: erlang-cl
Architecture: any
Section: libs
Priority: optional
Depends: ${erlang:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Erlang OpenCL bindings
 CL is an application which provides OpenCL bindings to Erlang.
 It resembles C API from http://www.khronos.org/opencl as close
 as possible.
