=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_clean:
	dh_clean doc/*.html doc/*.css doc/erlang.png doc/edoc-info

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol

override_dh_compress:
	dh_compress -X.erl -X.cl
	# remove useless files and fix html dir
	rm -f debian/erlang-cl/usr/share/doc/erlang-cl/doc/*.edoc
	rm -f debian/erlang-cl/usr/share/doc/erlang-cl/doc/.gitignore
	mv debian/erlang-cl/usr/share/doc/erlang-cl/doc \
	   debian/erlang-cl/usr/share/doc/erlang-cl/html

get-orig-source:
	wget -O erlang-cl_1.2.1.orig.tar.gz https://github.com/tonyrog/cl/archive/cl-1.2.1.tar.gz

.PHONY: override_dh_clean override_dh_gencontrol override_dh_compress get-orig-source
