=== debian/changelog ===
erlang-cl (1.2.3-3) unstable; urgency=medium

  * Finally fixed rebar.config for GNU/kFreeBSD.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Jan 2017 09:53:25 +0300

erlang-cl (1.2.3-2) unstable; urgency=medium

  * Removed the -m32 and -m64 options from gcc calls to prevent FTBFS for
    Linux architectures other than i386 and amd64, added another fix
    for GNU/kFreeBSD.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Jan 2017 15:29:49 +0300

erlang-cl (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Removed patches which are no lnger applicable. Redo patch which fixes
    build for GNU/kFreeBSD and GNU/Hurd.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Jan 2017 09:46:18 +0300

erlang-cl (1.2.1-4) unstable; urgency=medium

  * Fixed GNU/kFreeBSD and GNU/Hurd build options for ports.
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 03 Apr 2016 10:24:45 +0300

erlang-cl (1.2.1-3) unstable; urgency=medium

  * Added info on erlang-cl Debian package VCS.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 30 Dec 2015 08:46:03 +0300

erlang-cl (1.2.1-2) unstable; urgency=low

  * Rebuild against the current ocl-icd-opencl-dev package to fix
    dependencies (closes: #748360).
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 May 2014 07:49:36 +0400
