=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Section: libs
 Priority: optional
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.0.0), erlang-dev, erlang-edoc, dh-rebar, ocl-icd-opencl-dev
+Standards-Version: 3.9.8
 Homepage: https://github.com/tonyrog/cl
-Build-Depends: debhelper (>= 9.0.0), erlang-dev, erlang-edoc, dh-rebar, ocl-icd-opencl-dev
+Vcs-Svn: svn://anonscm.debian.org/pkg-erlang/erlang-cl/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-erlang/erlang-cl/trunk/
 
 Package: erlang-cl
 Architecture: any
