=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,6 @@
 	   debian/erlang-cl/usr/share/doc/erlang-cl/html
 
 get-orig-source:
-	wget -O erlang-cl_1.2.1.orig.tar.gz https://github.com/tonyrog/cl/archive/cl-1.2.1.tar.gz
+	wget -O erlang-cl_1.2.3.orig.tar.gz https://github.com/tonyrog/cl/archive/cl-1.2.3.tar.gz
 
 .PHONY: override_dh_clean override_dh_gencontrol override_dh_compress get-orig-source
