## erlang-cl 1.2.4

=== debian/changelog ===
erlang-cl (1.2.4-2) unstable; urgency=medium

  * Fix the debian/watch uscan control file.
  * Bump the erlang build dependency to 1:27.
  * Bump the debhelper compatibility level to 13.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Feb 2025 19:56:33 +0300

erlang-cl (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 01 Oct 2018 13:32:07 +0300

erlang-cl (1.2.3-4) unstable; urgency=medium

  * Add the debian/watch uscan file.
  * Replace the Alioth VCS headers by the new Salsa ones.
  * Bump the debhelper compatibility level to 10.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Mar 2018 12:44:26 +0300
