=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0), erlang-dev, erlang-edoc, dh-rebar, ocl-icd-opencl-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), erlang-dev (>= 1:27), erlang-edoc, dh-rebar, ocl-icd-opencl-dev
+Standards-Version: 4.7.0
 Homepage: https://github.com/tonyrog/cl
-Vcs-Svn: svn://anonscm.debian.org/pkg-erlang/erlang-cl/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-erlang/erlang-cl/trunk/
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-cl
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-cl.git
 
 Package: erlang-cl
 Architecture: any
