=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+v = 1.2.3
 
 %:
 	dh $@ --buildsystem=rebar --with rebar
@@ -19,6 +21,6 @@
 	   debian/erlang-cl/usr/share/doc/erlang-cl/html
 
 get-orig-source:
-	wget -O erlang-cl_1.2.3.orig.tar.gz https://github.com/tonyrog/cl/archive/cl-1.2.3.tar.gz
+	wget -O erlang-cl_$(v).orig.tar.gz https://github.com/tonyrog/cl/archive/cl-$(v).tar.gz
 
 .PHONY: override_dh_clean override_dh_gencontrol override_dh_compress get-orig-source
