=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

https://github.com/tonyrog/cl/tags \
    /tonyrog/cl/archive/refs/tags/cl-([.\d]+).tar.gz
